Subject: bug#2675: 23.0.91; unnecessary vc-next-action conflicts in vc-dir directory

From: Miles Bader <[email-masked]>
Date: Mon, 16 Mar 2009 10:12:31 +0900

On Mon, Mar 16, 2009 at 9:50 AM, Stefan Monnier
<[email-masked]> wrote:
>> Then hitting "v" on the first line of the buffer gives the following error:
>
> From where I stand, the problem is the use of `v' in vc-dir.  While the
> concept of "next-action" might make sense for single files, it's not
> nearly as useful for vc-dir, especially since vc-dir has a lot of free
> key-bindings, so it can easily use separate bindings for
> commit/checkout/merge/...

Yeah, good point; the concept of "next-action" has always kind of
bothered me, even in the old single-file case...
Even if it's sometimes a handy shortcut, I think in many cases I'd
prefer a firmer notion of what my command was going to do...

How about "c" for commit in *vc-dir*?

Of course, there needs to be a vc-commit command first... !

[I'd also suggest "a" as an alias for "register", as "i" seems obscure.]

[Offhand, I think they'd be good bindings for the global keymap too,
but it contains so much weird cruft bound to apparently arbitrary
letters, it's probably too late to make any sense of that...]

-Miles

-- 
Do not taunt Happy Fun Ball.